Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::views::iter_transform_fn Struct Reference
Inheritance diagram for ranges::views::iter_transform_fn:

## Synopsis of methods
constexpr iter_transform_fn | iter_transform {}

## Public Member Functions
template<typename Fun >
constexpr auto | operator() (Fun fun) const
Public Member Functions inherited from ranges::views::iter_transform_base_fn
template<typename Rng , typename Fun >
constexpr iter_transform_view< all_t< Rng >, Fun > | operator() (Rng &&rng, Fun fun) const
template<typename Rng1 , typename Rng2 , typename Fun >
constexpr iter_transform2_view< all_t< Rng1 >, all_t< Rng2 >, Fun > | operator() (Rng1 &&rng1, Rng2 &&rng2, Fun fun) const